 

#define _WAVEFORM_SINE 0
#define _WAVEFORM_SAWTOOTH 1
#define _WAVEFORM_SAWTOOTH_REVERSE 2
#define _WAVEFORM_TRIANGLE_VARIABLE 3
#define _WAVEFORM_PULSE 4
#define _WAVEFORM_SAMPLE_HOLD 5             

#define LFO1_SHAPE 96
#define LFO1_SPEED 97
#define LFO1_PULSEWIDTH 98
#define LFO1_PHASE 99

#define LFO2_SHAPE 100
#define LFO2_SPEED 101
#define LFO2_PULSEWIDTH 102
#define LFO2_PHASE 103

#define LFO3_SHAPE 104
#define LFO3_SPEED 105
#define LFO3_FM 106
#define LFO3_PHASE 107

#define SEQ_MASTER_BPM 108
#define SEQ2_BPM 109
#define SEQ3_BPM 110
#define SEQ4_BPM 111

#define OSC1_SHAPE 112
#define OSC1_FREQUENCY 113
#define OSC1_SHAPEMOD 114
#define OSC1_FREQMOD 115

#define OSC2_SHAPE 116
#define OSC2_FREQUENCY 117
#define OSC2_SHAPEMOD 118
#define OSC2_FREQMOD 119

#define OSC3_SHAPE 120
#define OSC3_FREQUENCY 121
#define OSC3_SHAPEMOD 122
#define OSC3_FREQMOD 123

#define OSC4_SHAPE 124
#define OSC4_FREQUENCY 125
#define OSC4_SHAPEMOD 126
#define VOICE2_CRUNCH 127

#define OSC5_SHAPE 128
#define OSC5_FREQUENCY 129
#define OSC5_SHAPEMOD 130
#define VOICE3_CRUNCH 131

#define FILTER1_FREQUENCY 160
#define FILTER1_RESONANCE 161
#define FILTER1_RANGE 162
#define FILTER1_CRUNCH 163

#define FILTER2_FREQUENCY 164
#define FILTER2_RESONANCE 165
#define FILTER2_TYPE 166
#define FILTER2_CRUNCH 167

#define FILTER3_FREQUENCY 168
#define FILTER3_RESONANCE 169
#define FILTER3_TYPE 170
#define FILTER3_MOD_DEPTH 171

#define FILTER4_FREQUENCY 172
#define FILTER4_RESONANCE 173
#define FILTER4_TYPE 174
#define FILTER4_MOD_DEPTH 175

#define FREEVERB1_SIZE 92
#define FREEVERB1_DAMPING 93
#define CRUSHER1_BITS 94
#define CRUSHER1_SAMPLERATE 95

#define ADSR1_ATTACK 192
#define ADSR1_DECAY 193
#define ADSR1_SUSTAIN 194
#define ADSR1_RELEASE 195

#define ADSR2_ATTACK 196
#define ADSR2_DECAY 197
#define ADSR2_SUSTAIN 198
#define ADSR2_RELEASE 199

#define ADSR3_ATTACK 200
#define ADSR3_DECAY 201
#define ADSR3_SUSTAIN 202
#define ADSR3_RELEASE 203

#define ADSR4_ATTACK 204
#define ADSR4_DECAY 205
#define ADSR4_SUSTAIN 206
#define ADSR4_RELEASE 207

#define MAX_LFO_PHASE 360
#define MAX_LFO_SPEED 64
#define MAX_FILTER_Q 5
#define MIN_FILTER_Q 0.707
#define MAX_OSC_TRACKING 10
#define MAX_FILTER_TRACKING 7

#define CV_LP_HI 90
#define CV_LP_MID 80
#define CV_LP_LO 60
#define CV_LP_HIQ 0.707
#define CV_LP_LOQ 0.53

#define SEQ1_ENTRY 224
#define SEQ2_ENTRY 232
#define SEQ3_ENTRY 240
#define SEQ4_ENTRY 248


#define CHORUS_DELAY_LENGTH (16*AUDIO_BLOCK_SAMPLES)


// GUItool: begin automatically generated code
AudioSynthWaveformDc     cvbus2;         //xy=202,1966.0000610351562
AudioSynthWaveformDc     cvbus1;         //xy=214,1076.0000610351562
AudioSynthWaveform       waveform2;      //xy=219,1618.0000610351562
AudioSynthWaveform       waveform1;      //xy=222,1476.0000610351562
AudioMixer4              mixer12;        //xy=240,1730.0000610351562
AudioSynthWaveformModulated waveformMod3;   //xy=242,1840.0000610351562
AudioFilterBiquad        biquad7;        //xy=305,1966.0000610351562
AudioFilterBiquad        biquad6;        //xy=309,1856.0000610351562
AudioMixer4              mixer6;         //xy=317,1017.0000610351562
AudioFilterBiquad        biquad4;        //xy=317,1077.0000610351562
AudioMixer4              mixer7;         //xy=318,1151.0000610351562
AudioFilterBiquad        biquad3;        //xy=337,1619.0000610351562
AudioFilterBiquad        biquad2;        //xy=340,1478.0000610351562
AudioSynthWaveformDc     dc1;            //xy=453,1683.0000610351562
AudioSynthWaveformDc     dc2;            //xy=505,1363.0000610351562
AudioMixer4              mixer19;        //xy=508,1992.0000610351562
AudioSynthWaveformDc     dc3;            //xy=537,1278.0000610351562
AudioMixer4              mixer9;         //xy=625,1154.0000610351562
AudioEffectEnvelope      envelope1;      //xy=658,1686.0000610351562
AudioEffectMultiply      multiply3;      //xy=661,1336.0000610351562
AudioMixer4              mixer8;         //xy=685,1018.0000610351562
AudioEffectMultiply      multiply2;      //xy=685,1261.0000610351562
AudioMixer4              mixer17;        //xy=706,1843.0000610351562
AudioMixer4              mixer16;        //xy=732,1777.0000610351562
AudioMixer4              mixer18;        //xy=766,2035
AudioSynthNoisePink      pink1;          //xy=795,1404.0000610351562
AudioSynthWaveformModulated waveformMod2;   //xy=881,1309.0000610351562
AudioSynthWaveformModulated waveformMod1;   //xy=891,1228.0000610351562
AudioEffectFade          fade1;          //xy=968,1086.0000610351562
AudioEffectEnvelope      envelope2;      //xy=1007,1722.0000610351562
AudioSynthWaveformModulated waveformMod4;   //xy=1018,1806.0000610351562
AudioSynthWaveformModulated waveformMod5;   //xy=1018,1840.0000610351562
AudioSynthWaveformModulated waveformMod6;   //xy=1018,1876
AudioMixer4              mixer4;         //xy=1037,1517.0000610351562
AudioMixer4              mixer3;         //xy=1082,1305.0000610351562
AudioSynthNoiseWhite     noise1;         //xy=1122,1922
AudioFilterBiquad        biquad1;        //xy=1146,1035.0000610351562
AudioMixer4              mixer5;         //xy=1184,1647.0000610351562
AudioEffectEnvelope      envelope3;      //xy=1207,2062
AudioMixer4              mixer10;        //xy=1211,1523.0000610351562
AudioFilterBiquad        biquad5;        //xy=1225,1924
AudioEffectBitcrusher    bitcrusher1;    //xy=1254,1310.0000610351562
AudioAnalyzePeak         peak1;          //xy=1353,1079.0000610351562
AudioMixer4              mixer15;        //xy=1385,1861
AudioMixer4              mixer21;        //xy=1387,2014
AudioFilterStateVariable filter1;        //xy=1453,1323.0000610351562
AudioEffectBitcrusher    bitcrusher2;    //xy=1562,1784.9999389648438
AudioEffectEnvelope      envelope4;      //xy=1566,2102
AudioFilterStateVariable filter2;        //xy=1567,1857
AudioEffectMultiply      multiply1;      //xy=1609,1380.0000610351562
AudioMixer4              mixer20;        //xy=1686,1864
AudioMixer4              mixer22;        //xy=1704,2057
AudioInputI2S            i2s1;           //xy=1765,1121.0000610351562
AudioMixer4              mixer11;        //xy=1806,1523.0000610351562
AudioEffectFreeverbStereo freeverbs1;     //xy=1953,1524.0000610351562
AudioAnalyzeNoteFrequency notefreq1;      //xy=1975,1081.0000610351562
AudioEffectMultiply      multiply4;      //xy=1972,1853
AudioMixer4              mixer2;         //xy=2281,1224.0000610351562
AudioMixer4              mixer1;         //xy=2288,1384.0000610351562
AudioOutputI2S           i2s2;           //xy=2622,1373.0000610351562
AudioOutputUSB           usb1;           //xy=2629,1229.0000610351562
AudioMixer4              mixer13;        //xy=2637,1752.0000610351562
AudioMixer4              mixer14;        //xy=2641,1838.0000610351562
AudioConnection          patchCord1(cvbus2, biquad7);
AudioConnection          patchCord2(cvbus1, biquad4);
AudioConnection          patchCord3(waveform2, biquad3);
AudioConnection          patchCord4(waveform1, biquad2);
AudioConnection          patchCord5(mixer12, 0, waveformMod3, 0);
AudioConnection          patchCord6(waveformMod3, biquad6);
AudioConnection          patchCord7(biquad7, 0, mixer18, 3);
AudioConnection          patchCord8(biquad7, 0, mixer17, 3);
AudioConnection          patchCord9(biquad7, 0, mixer16, 3);
AudioConnection          patchCord10(biquad7, 0, mixer19, 3);
AudioConnection          patchCord11(biquad7, 0, mixer21, 2);
AudioConnection          patchCord12(biquad6, 0, mixer18, 0);
AudioConnection          patchCord13(biquad6, 0, mixer17, 0);
AudioConnection          patchCord14(biquad6, 0, mixer16, 0);
AudioConnection          patchCord15(biquad6, 0, mixer19, 0);
AudioConnection          patchCord16(biquad6, 0, mixer21, 1);
AudioConnection          patchCord17(biquad6, 0, mixer22, 1);
AudioConnection          patchCord18(mixer6, 0, multiply2, 0);
AudioConnection          patchCord19(mixer6, 0, mixer8, 0);
AudioConnection          patchCord20(biquad4, 0, mixer8, 1);
AudioConnection          patchCord21(biquad4, 0, mixer9, 1);
AudioConnection          patchCord22(biquad4, 0, mixer10, 1);
AudioConnection          patchCord23(mixer7, 0, multiply3, 0);
AudioConnection          patchCord24(mixer7, 0, mixer9, 0);
AudioConnection          patchCord25(biquad3, 0, mixer5, 1);
AudioConnection          patchCord26(biquad3, 0, mixer4, 1);
AudioConnection          patchCord27(biquad3, 0, mixer6, 1);
AudioConnection          patchCord28(biquad3, 0, mixer7, 1);
AudioConnection          patchCord29(biquad3, 0, mixer12, 1);
AudioConnection          patchCord30(biquad3, 0, mixer16, 1);
AudioConnection          patchCord31(biquad3, 0, mixer17, 1);
AudioConnection          patchCord32(biquad3, 0, mixer18, 1);
AudioConnection          patchCord33(biquad3, 0, mixer19, 1);
AudioConnection          patchCord34(biquad3, 0, mixer21, 0);
AudioConnection          patchCord35(biquad3, 0, mixer22, 0);
AudioConnection          patchCord36(biquad2, 0, mixer5, 0);
AudioConnection          patchCord37(biquad2, 0, mixer4, 0);
AudioConnection          patchCord38(biquad2, 0, mixer7, 0);
AudioConnection          patchCord39(biquad2, 0, mixer6, 0);
AudioConnection          patchCord40(biquad2, 0, mixer12, 0);
AudioConnection          patchCord41(dc1, envelope1);
AudioConnection          patchCord42(dc1, envelope2);
AudioConnection          patchCord43(dc1, envelope3);
AudioConnection          patchCord44(dc1, envelope4);
AudioConnection          patchCord45(dc2, 0, multiply3, 1);
AudioConnection          patchCord46(mixer19, 0, waveformMod6, 1);
AudioConnection          patchCord47(mixer19, 0, waveformMod5, 1);
AudioConnection          patchCord48(mixer19, 0, waveformMod4, 1);
AudioConnection          patchCord49(dc3, 0, multiply2, 1);
AudioConnection          patchCord50(mixer9, 0, waveformMod2, 0);
AudioConnection          patchCord51(envelope1, 0, mixer4, 3);
AudioConnection          patchCord52(envelope1, 0, mixer6, 3);
AudioConnection          patchCord53(envelope1, 0, mixer7, 3);
AudioConnection          patchCord54(multiply3, 0, waveformMod2, 1);
AudioConnection          patchCord55(mixer8, 0, waveformMod1, 0);
AudioConnection          patchCord56(multiply2, 0, waveformMod1, 1);
AudioConnection          patchCord57(mixer17, 0, waveformMod5, 0);
AudioConnection          patchCord58(mixer16, 0, waveformMod4, 0);
AudioConnection          patchCord59(mixer18, 0, waveformMod6, 0);
AudioConnection          patchCord60(pink1, 0, mixer3, 2);
AudioConnection          patchCord61(waveformMod2, 0, mixer3, 1);
AudioConnection          patchCord62(waveformMod1, 0, mixer3, 0);
AudioConnection          patchCord63(fade1, biquad1);
AudioConnection          patchCord64(envelope2, 0, mixer5, 3);
AudioConnection          patchCord65(waveformMod4, 0, mixer15, 0);
AudioConnection          patchCord66(waveformMod5, 0, mixer15, 1);
AudioConnection          patchCord67(waveformMod6, 0, mixer15, 2);
AudioConnection          patchCord68(mixer4, 0, mixer10, 0);
AudioConnection          patchCord69(mixer3, bitcrusher1);
AudioConnection          patchCord70(noise1, biquad5);
AudioConnection          patchCord71(biquad1, 0, mixer4, 2);
AudioConnection          patchCord72(biquad1, 0, mixer5, 2);
AudioConnection          patchCord73(biquad1, peak1);
AudioConnection          patchCord74(biquad1, 0, mixer6, 2);
AudioConnection          patchCord75(biquad1, 0, mixer7, 2);
AudioConnection          patchCord76(biquad1, 0, mixer16, 2);
AudioConnection          patchCord77(biquad1, 0, mixer17, 2);
AudioConnection          patchCord78(biquad1, 0, mixer18, 2);
AudioConnection          patchCord79(biquad1, 0, mixer19, 2);
AudioConnection          patchCord80(mixer5, 0, multiply1, 1);
AudioConnection          patchCord81(envelope3, 0, mixer21, 3);
AudioConnection          patchCord82(envelope3, 0, mixer12, 2);
AudioConnection          patchCord83(mixer10, 0, filter1, 1);
AudioConnection          patchCord84(biquad5, 0, mixer15, 3);
AudioConnection          patchCord85(bitcrusher1, 0, filter1, 0);
AudioConnection          patchCord86(mixer15, bitcrusher2);
AudioConnection          patchCord87(mixer21, 0, filter2, 1);
AudioConnection          patchCord88(filter1, 0, multiply1, 0);
AudioConnection          patchCord89(bitcrusher2, 0, filter2, 0);
AudioConnection          patchCord90(envelope4, 0, mixer22, 3);
AudioConnection          patchCord91(envelope4, 0, waveformMod3, 1);
AudioConnection          patchCord92(envelope4, 0, mixer12, 3);
AudioConnection          patchCord93(filter2, 0, mixer20, 0);
AudioConnection          patchCord94(filter2, 1, mixer20, 1);
AudioConnection          patchCord95(filter2, 2, mixer20, 2);
AudioConnection          patchCord96(multiply1, 0, mixer2, 1);
AudioConnection          patchCord97(multiply1, 0, mixer1, 1);
AudioConnection          patchCord98(multiply1, 0, mixer11, 0);
AudioConnection          patchCord99(mixer20, 0, multiply4, 0);
AudioConnection          patchCord100(mixer22, 0, multiply4, 1);
AudioConnection          patchCord101(i2s1, 0, mixer2, 0);
AudioConnection          patchCord102(i2s1, 0, mixer3, 3);
AudioConnection          patchCord103(i2s1, 0, fade1, 0);
AudioConnection          patchCord104(i2s1, 0, notefreq1, 0);
AudioConnection          patchCord105(i2s1, 1, mixer1, 0);
AudioConnection          patchCord106(mixer11, freeverbs1);
AudioConnection          patchCord107(freeverbs1, 0, mixer2, 3);
AudioConnection          patchCord108(freeverbs1, 1, mixer1, 3);
AudioConnection          patchCord109(multiply4, 0, mixer11, 1);
AudioConnection          patchCord110(multiply4, 0, mixer13, 0);
AudioConnection          patchCord111(multiply4, 0, mixer14, 0);
AudioConnection          patchCord112(mixer2, 0, i2s2, 0);
AudioConnection          patchCord113(mixer2, 0, usb1, 0);
AudioConnection          patchCord114(mixer1, 0, i2s2, 1);
AudioConnection          patchCord115(mixer1, 0, usb1, 1);
AudioConnection          patchCord116(mixer13, 0, mixer2, 2);
AudioConnection          patchCord117(mixer14, 0, mixer1, 2);
AudioControlSGTL5000     sgtl5000_1;     //xy=2348,1022
// GUItool: end automatically generated code
