
    
// filter1
    if (midiChange(FILTER1_FREQUENCY)){
      filter1.frequency(noteFreqs[midivals[FILTER1_FREQUENCY]]);
      sendmessage("VCF1 Freq:",noteFreqs[midivals[FILTER1_FREQUENCY]]);
    }
    if (midiChange(FILTER1_RESONANCE)){
      filter1.resonance((float)midivals[FILTER1_RESONANCE] * inc * MAX_FILTER_Q + MIN_FILTER_Q);
      sendmessage("VCF1 Q:",(float)midivals[FILTER1_RESONANCE] * inc * MAX_FILTER_Q + MIN_FILTER_Q);
    }
    if (midiChange(FILTER1_RANGE)){
      filter1.octaveControl((float)midivals[FILTER1_RANGE] * inc * MAX_FILTER_TRACKING);
      sendmessage("VCF1 Range:",(float)midivals[FILTER1_RANGE] * inc * MAX_FILTER_TRACKING);
    }
    if (midiChange(FILTER1_CRUNCH)){
      bitcrusher1.bits(16 - (midivals[FILTER1_CRUNCH] % 16));      
      sendmessage("VCF1 Crunch:",(float)(midivals[FILTER1_CRUNCH] % 16));
    }

// filter2
    if (midiChange(FILTER2_FREQUENCY)){
      filter2.frequency(noteFreqs[midivals[FILTER2_FREQUENCY]]);
      sendmessage("VCF2 Freq:",noteFreqs[midivals[FILTER2_FREQUENCY]]);
    }
    if (midiChange(FILTER2_RESONANCE)){
      filter2.resonance((float)midivals[FILTER2_RESONANCE] * inc * MAX_FILTER_Q + MIN_FILTER_Q);
      sendmessage("VCF2 Q:",(float)midivals[FILTER2_RESONANCE] * inc * MAX_FILTER_Q + MIN_FILTER_Q);
    }
    if (midiChange(FILTER2_TYPE)){

      if (midivals[FILTER2_TYPE] < 64){
        mixer20.gain(0,(63 - (float)midivals[FILTER2_TYPE]) * inc);
        mixer20.gain(1,(float)midivals[FILTER2_TYPE] * inc);
        mixer20.gain(2,0);
      } else {
        mixer20.gain(0,0);
        mixer20.gain(1,(float)(63 + (64 - midivals[FILTER2_TYPE]) * inc));
        mixer20.gain(2,(float)(midivals[FILTER2_TYPE] - 64) * inc);
      }
      sendmessage("VCF2 Type:",(float)midivals[FILTER2_TYPE] * inc);
    }
    if (midiChange(FILTER2_CRUNCH)){
      bitcrusher2.bits(16 - (midivals[FILTER2_CRUNCH] % 16));      
      sendmessage("VCF2 Crunch:",(float)(midivals[FILTER2_CRUNCH] % 16));
    }
