void setup()   {
  AudioProcessorUsageMaxReset();
  AudioMemoryUsageMaxReset();
  pinMode(redPin, OUTPUT);
  pinMode(greenPin, OUTPUT);
  pinMode(bluePin, OUTPUT);
  pinMode(mredPin, OUTPUT);
  pinMode(mgreenPin, OUTPUT);
  pinMode(mbluePin, OUTPUT);
  knobby.write(768);
  knob0.write(1);
  knob1.write(1);
  knob2.write(1);
  knob3.write(1);
  
  Serial1.setTX(1);
  Serial1.setRX(0);
  Serial1.begin(31250);
    while (!Serial1 && millis() < 4000 );
  MIDI1.begin(MIDI_CHANNEL_OMNI);
/*
  Serial2.setTX(8);
  Serial2.setRX(7);
  Serial2.begin(31250);
    while (!Serial2 && millis() < 4000 );
  MIDI2.begin(MIDI_CHANNEL_OMNI);

  Serial3.setTX(14);
  Serial3.setRX(15);
  Serial3.begin(31250);
    while (!Serial3 && millis() < 4000 );
  MIDI3.begin(MIDI_CHANNEL_OMNI);

  Serial4.setTX(17);
  Serial4.setRX(16);
  Serial4.begin(31250);
    while (!Serial4 && millis() < 4000 );
  MIDI4.begin(MIDI_CHANNEL_OMNI);

  Serial5.setTX(20);
  Serial5.setRX(21);
  Serial5.begin(31250);
    while (!Serial5 && millis() < 4000 );
  MIDI5.begin(MIDI_CHANNEL_OMNI);

  Serial6.setTX(24);
  Serial6.setRX(25);
  Serial6.begin(31250);
    while (!Serial6 && millis() < 4000 );
  MIDI6.begin(MIDI_CHANNEL_OMNI);

  Serial7.setTX(29);
  Serial7.setRX(28);
  Serial7.begin(31250);
    while (!Serial7 && millis() < 4000 );
  MIDI7.begin(MIDI_CHANNEL_OMNI);

  Serial8.setTX(35);
  Serial8.setRX(34);
  Serial8.begin(31250);
    while (!Serial8 && millis() < 4000 );
  MIDI8.begin(MIDI_CHANNEL_OMNI);
  
*/

  AudioMemory(120);                  // allocate some memory for audio library
  sgtl5000_1.enable();
  sgtl5000_1.inputSelect(myInput);
  sgtl5000_1.volume(0.99);  
  sgtl5000_1.micGain(36);
  
  pink1.amplitude(0.99); 
  dc1.amplitude(1.0);
  
  biquad1.setLowpass(0, CV_LP_LO, CV_LP_LOQ);
  biquad1.setLowpass(1, CV_LP_HI, CV_LP_HIQ);
  biquad1.setLowpass(2, CV_LP_LO, CV_LP_LOQ);
  biquad1.setLowpass(3, CV_LP_MID, CV_LP_HIQ);

  biquad2.setLowpass(0, CV_LP_LO, CV_LP_LOQ);
  biquad2.setLowpass(1, CV_LP_HI, CV_LP_HIQ);
  biquad2.setLowpass(2, CV_LP_LO, CV_LP_LOQ);
  biquad2.setLowpass(3, CV_LP_MID, CV_LP_HIQ);
  
  biquad3.setLowpass(0, CV_LP_LO, CV_LP_LOQ);
  biquad3.setLowpass(1, CV_LP_HI, CV_LP_HIQ);
  biquad3.setLowpass(2, CV_LP_LO, CV_LP_LOQ);
  biquad3.setLowpass(3, CV_LP_MID, CV_LP_HIQ);

  biquad4.setLowpass(0, CV_LP_LO, CV_LP_LOQ);
  biquad4.setLowpass(1, CV_LP_HI, CV_LP_HIQ);
  biquad4.setLowpass(2, CV_LP_LO, CV_LP_LOQ);
  biquad4.setLowpass(3, CV_LP_MID, CV_LP_HIQ);
/*
  biquad5.setLowpass(0, CV_LP_LO, CV_LP_LOQ);
  biquad5.setLowpass(1, CV_LP_HI, CV_LP_HIQ);
  biquad5.setLowpass(2, CV_LP_LO, CV_LP_LOQ);
  biquad5.setLowpass(3, CV_LP_MID, CV_LP_HIQ);

  biquad6.setLowpass(0, CV_LP_LO, CV_LP_LOQ);
  biquad6.setLowpass(1, CV_LP_HI, CV_LP_HIQ);
  biquad6.setLowpass(2, CV_LP_LO, CV_LP_LOQ);
  biquad6.setLowpass(3, CV_LP_MID, CV_LP_HIQ);
*/
  mixer8.gain(0,1);
  mixer8.gain(1,1);
  mixer8.gain(2,0);
  mixer8.gain(3,0);
  
  mixer9.gain(0,1);
  mixer9.gain(1,1);
  mixer9.gain(2,0);
  mixer9.gain(3,0);
  
  mixer10.gain(0,1);
  mixer10.gain(1,1);
  mixer10.gain(2,0);
  mixer10.gain(3,0);

  mixer11.gain(0,1);
  mixer11.gain(1,0);
  mixer11.gain(2,0);
  mixer11.gain(3,0);

  mixer20.gain(0,1);
  mixer20.gain(1,0);
  mixer20.gain(2,0);
  mixer20.gain(3,0);

  cvbus1.amplitude(0);
  cvbus2.amplitude(0);
  notefreq1.begin(.85);
//  chorus1.begin(delayline,CHORUS_DELAY_LENGTH,n_chorus);
}
