#include "display.h"

void sendmessage(String _message, float _value){
  _message = _message + " " + String(_value);
  Serial.println(_message);  
  for (int y=0;y<12;y++){
    char x=0x80;
    for (int i=7; i-- > 0;){
      if ((chargen[_message[0]][y] & x) == x){
        Serial.print("*");
      } else {
        Serial.print(" ");
      } 
      x = x >> 1;
    }
    Serial.println();
  }

}

void sendprompt(int _indexer){
  if (_lastindexer != _indexer){
    _lastindexer = _indexer;  
    Serial.println(midiprompts[_indexer]);
  }
}


/*
void sendprompt(int _rownum, int _channum){
  if ((_lastrow != _rownum) | (_channum != _lastchan)){
    _lastrow = _rownum;  
    _lastchan = _channum;
    if (_rownum < 3){
      Serial.print("Mixer ");
      Serial.println(_channum +1);
    }
    else if (_rownum < 5){
      Serial.print("Oscillator ");
      Serial.println(_channum + 1);
    }
    else if (_rownum == 5){
      Serial.print("Filter ");
      Serial.println(_channum + 1);
      
    }
    else if (_rownum == 6){
      Serial.print("Envelope ");
      Serial.println(_channum + 1);
      
    }
    else if (_rownum == 7){
      Serial.print("Sequencer ");
      Serial.println((_channum/2) + 1);
    }
  }
}
*/
                         
void printarray(){
    Serial.println();
    int c = 0;
    for(int y = 0; y <=255; y++) { 
      Serial.print(newpos[y]);
      Serial.print(",");
      c +=1;
      if (c ==  32){
        Serial.println();
        c = 0;
      }
    }  
  Serial.println();
  Serial.print("all=");
  Serial.print(AudioProcessorUsage());
  Serial.print("%,");
  Serial.print(AudioProcessorUsageMax());
  Serial.print("%    ");
  Serial.print("Memory: ");
  Serial.print(AudioMemoryUsage());
  Serial.print("%,");
  Serial.print(AudioMemoryUsageMax());
  Serial.println("%");
}
